package mapmessage;

import implementation.ClientJMS;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.Destination;
import javax.jms.JMSException;
import javax.jms.MapMessage;
import javax.jms.MessageConsumer;

import javax.jms.Session;


/* Annick Fron
 * Recepteur
 * 
 */

public class Recepteur extends ClientJMS {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		new Recepteur().run();
	}

	public void run() {
		ConnectionFactory cf = getConnectionFactory();
		Connection connexion;
		try {
			connexion = cf.createConnection();
			Session session = connexion.createSession(false,
					Session.AUTO_ACKNOWLEDGE);
			// pour un Topic on aurait de meme createTopic...
			Destination queue = session.createQueue("SampleQ1");

			MessageConsumer receiver = session.createConsumer(queue);
			// ne pas oublier de demarrer la connexion
			connexion.start();
			// réception d’un message de type texte
			MapMessage mess = (MapMessage) receiver.receive();
			System.out.println("Message reçu  " );
			System.out.println("Article : " + mess.getString("Article"));
			System.out.println("Quantite : "+ mess.getInt("Quantite"));
			// fermeture de la connexion et de la session
			connexion.close();

		} catch (JMSException e) {
			
			System.out.println(e.getMessage());
		}
		
	}
}
